package org.avaje.config;

import java.util.Properties;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.config.PropertyPlaceholderConfigurer;

/**
 * Spring bean that loads the properties from AppProperties into Spring.
 */
public class SpringAppProperties extends PropertyPlaceholderConfigurer {

  private static final Logger log = LoggerFactory.getLogger(SpringAppProperties.class);
  
  /**
   * Loads the properties from AppProperties into Spring.
   */
  public SpringAppProperties() {
    
    Properties properties = AppProperties.asProperties();
    log.debug("loading ["+properties.size()+"] properties into Spring context");
    setProperties(properties);
  }

  
}
